# x (Extract with full paths) command

Extracts files from an archive with their full paths in the current directory, or in an output directory if specified.

See the e (Extract) command description for more deatails.

#### Examples

    7z x archive.zip

extracts all files from the archive archive.zip to the current directory.

    7z x archive.zip -oc:\soft *.cpp -r

extracts all *.cpp files from the archive archive.zip to c:\soft folder.

#### Switches that can be used with this command

-ai (Include archives)
-an (Disable parsing of archive_name)
-ao (Overwrite mode)
-ax (Exclude archives)
-i (Include)
-o (Set Output Directory)
-p (Set Password)
-r (Recurse)
-so (use StdOut)
-x (Exclude)
-y (Assume Yes on all queries)

#### See also

Commands: e (Extract)